JUnit 4 support in 6.0: should parameterized test cases work?

Does stuff like this work?
@Test(expected=IllegalArgumentException.class)
public void nullCase() throws IllegalArgumentException {
// blah, blah, test, blah
}

And do you need to do anything special to turn on JUnit 4 support over Junit 3.8?

Thanks,
Jon

1 comment
Comment actions Permalink

Okay - found that what I had to do was attach a junit4 jar to the project. That strikes me as strange when IDEA already has junit-4.0.jar in its own lib directory. Shouldn't IDEA have a way to just toggle on JUnit 4 support or even just include JUnit 4 by default? Am I just not able to find a setting?

0

Please sign in to leave a comment.